numeric_traits.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Macros

#define | __glibcxx_digits10(_Tp)
#define | __glibcxx_floating(_Tp, _Fval, _Dval, _LDval)
#define | __glibcxx_max_digits10(_Tp)
#define | __glibcxx_max_exponent10(_Tp)
#define | _GLIBCXX_INT_N_TRAITS(T, WIDTH)

## Typedefs

template<typename _Tp >
using | __gnu_cxx::__int_traits = __numeric_traits_integer< _Tp >

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file ext/numeric_traits.h.

## Macro Definition Documentation

## __glibcxx_digits10

#define __glibcxx_digits10 | ( |  | _Tp | ) |

Definition at line 147 of file ext/numeric_traits.h.

## __glibcxx_floating

#define __glibcxx_floating | ( |  | _Tp,
|  |  | _Fval,
|  |  | _Dval,
|  |  | _LDval
| ) |  |

Definition at line 139 of file ext/numeric_traits.h.

## __glibcxx_max_digits10

#define __glibcxx_max_digits10 | ( |  | _Tp | ) |

Definition at line 143 of file ext/numeric_traits.h.

## __glibcxx_max_exponent10

#define __glibcxx_max_exponent10 | ( |  | _Tp | ) |

Definition at line 150 of file ext/numeric_traits.h.

## _GLIBCXX_INT_N_TRAITS

#define _GLIBCXX_INT_N_TRAITS | ( |  | T,
|  |  | WIDTH
| ) |  |

Definition at line 95 of file ext/numeric_traits.h.